UpnpFileInfo.c File Reference

Source file for UpnpFileInfo methods. More...

`#include "config.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "UpnpFileInfo.h"`
Include dependency graph for UpnpFileInfo.c:

## Data Structures

struct | s_UpnpFileInfo

## Functions

UpnpFileInfo * | UpnpFileInfo_new (void)
void | UpnpFileInfo_delete (UpnpFileInfo *q)
int | UpnpFileInfo_assign (UpnpFileInfo *p, const UpnpFileInfo *q)
UpnpFileInfo * | UpnpFileInfo_dup (const UpnpFileInfo *q)
off_t | UpnpFileInfo_get_FileLength (const UpnpFileInfo *p)
int | UpnpFileInfo_set_FileLength (UpnpFileInfo *p, off_t n)
time_t | UpnpFileInfo_get_LastModified (const UpnpFileInfo *p)
int | UpnpFileInfo_set_LastModified (UpnpFileInfo *p, time_t n)
int | UpnpFileInfo_get_IsDirectory (const UpnpFileInfo *p)
int | UpnpFileInfo_set_IsDirectory (UpnpFileInfo *p, int n)
int | UpnpFileInfo_get_IsReadable (const UpnpFileInfo *p)
int | UpnpFileInfo_set_IsReadable (UpnpFileInfo *p, int n)
const DOMString | UpnpFileInfo_get_ContentType (const UpnpFileInfo *p)
int | UpnpFileInfo_set_ContentType (UpnpFileInfo *p, const DOMString s)
const char * | UpnpFileInfo_get_ContentType_cstr (const UpnpFileInfo *p)
const UpnpListHead * | UpnpFileInfo_get_ExtraHeadersList (const UpnpFileInfo *p)
int | UpnpFileInfo_set_ExtraHeadersList (UpnpFileInfo *p, const UpnpListHead *q)
void | UpnpFileInfo_add_to_list_ExtraHeadersList (UpnpFileInfo *p, struct UpnpListHead *head)
const struct sockaddr_storage * | UpnpFileInfo_get_CtrlPtIPAddr (const UpnpFileInfo *p)
int | UpnpFileInfo_set_CtrlPtIPAddr (UpnpFileInfo *p, const struct sockaddr_storage *buf)
void | UpnpFileInfo_clear_CtrlPtIPAddr (UpnpFileInfo *p)
const UpnpString * | UpnpFileInfo_get_Os (const UpnpFileInfo *p)
int | UpnpFileInfo_set_Os (UpnpFileInfo *p, const UpnpString *s)
size_t | UpnpFileInfo_get_Os_Length (const UpnpFileInfo *p)
const char * | UpnpFileInfo_get_Os_cstr (const UpnpFileInfo *p)
int | UpnpFileInfo_strcpy_Os (UpnpFileInfo *p, const char *s)
int | UpnpFileInfo_strncpy_Os (UpnpFileInfo *p, const char *s, size_t n)
void | UpnpFileInfo_clear_Os (UpnpFileInfo *p)

## Detailed Description

Source file for UpnpFileInfo methods.

Do not edit this file, it is automatically generated. Please look at generator.c.

Author
  Marcelo Roberto Jimenez

## Function Documentation

## UpnpFileInfo_add_to_list_ExtraHeadersList()

void UpnpFileInfo_add_to_list_ExtraHeadersList | ( | UpnpFileInfo * | p,
|  | UpnpListHead * | head )

UpnpFileInfo_add_to_list_ExtraHeadersList

## UpnpFileInfo_assign()

int UpnpFileInfo_assign | ( | UpnpFileInfo * | p,
|  | const UpnpFileInfo * | q )

Assignment operator

References UpnpFileInfo_get_ContentType(), UpnpFileInfo_get_CtrlPtIPAddr(), UpnpFileInfo_get_ExtraHeadersList(), UpnpFileInfo_get_FileLength(), UpnpFileInfo_get_IsDirectory(), UpnpFileInfo_get_IsReadable(), UpnpFileInfo_get_LastModified(), UpnpFileInfo_get_Os(), UpnpFileInfo_set_ContentType(), UpnpFileInfo_set_CtrlPtIPAddr(), UpnpFileInfo_set_ExtraHeadersList(), UpnpFileInfo_set_FileLength(), UpnpFileInfo_set_IsDirectory(), UpnpFileInfo_set_IsReadable(), UpnpFileInfo_set_LastModified(), and UpnpFileInfo_set_Os().

Referenced by UpnpFileInfo_dup().

## UpnpFileInfo_clear_CtrlPtIPAddr()

void UpnpFileInfo_clear_CtrlPtIPAddr | ( | UpnpFileInfo * | p | ) |

UpnpFileInfo_get_CtrlPtIPAddr

## UpnpFileInfo_clear_Os()

void UpnpFileInfo_clear_Os | ( | UpnpFileInfo * | p | ) |

UpnpFileInfo_clear_Os

References UpnpString_clear().

## UpnpFileInfo_delete()

void UpnpFileInfo_delete | ( | UpnpFileInfo * | p | ) |

Destructor

References ixmlFreeDOMString(), and UpnpString_delete().

Referenced by process_request().

## UpnpFileInfo_dup()

UpnpFileInfo * UpnpFileInfo_dup | ( | const UpnpFileInfo * | p | ) |

Copy Constructor

References UpnpFileInfo_assign(), and UpnpFileInfo_new().

## UpnpFileInfo_get_ContentType()

const DOMString UpnpFileInfo_get_ContentType | ( | const UpnpFileInfo * | p | ) |

UpnpFileInfo_get_ContentType

References DOMString.

Referenced by get_content_type(), process_request(), UpnpFileInfo_assign(), and UpnpFileInfo_get_ContentType_cstr().

## UpnpFileInfo_get_ContentType_cstr()

const char * UpnpFileInfo_get_ContentType_cstr | ( | const UpnpFileInfo * | p | ) |

UpnpFileInfo_get_ContentType_cstr

References UpnpFileInfo_get_ContentType().

## UpnpFileInfo_get_CtrlPtIPAddr()

const struct sockaddr_storage * UpnpFileInfo_get_CtrlPtIPAddr | ( | const UpnpFileInfo * | p | ) |

UpnpFileInfo_get_CtrlPtIPAddr

Referenced by UpnpFileInfo_assign().

## UpnpFileInfo_get_ExtraHeadersList()

const UpnpListHead * UpnpFileInfo_get_ExtraHeadersList | ( | const UpnpFileInfo * | p | ) |

UpnpFileInfo_get_ExtraHeadersList

Referenced by process_request(), and UpnpFileInfo_assign().

## UpnpFileInfo_get_FileLength()

off_t UpnpFileInfo_get_FileLength | ( | const UpnpFileInfo * | p | ) |

UpnpFileInfo_get_FileLength

Referenced by get_file_info(), process_request(), and UpnpFileInfo_assign().

## UpnpFileInfo_get_IsDirectory()

int UpnpFileInfo_get_IsDirectory | ( | const UpnpFileInfo * | p | ) |

UpnpFileInfo_get_IsDirectory

Referenced by process_request(), and UpnpFileInfo_assign().

## UpnpFileInfo_get_IsReadable()

int UpnpFileInfo_get_IsReadable | ( | const UpnpFileInfo * | p | ) |

UpnpFileInfo_get_IsReadable

Referenced by get_file_info(), process_request(), and UpnpFileInfo_assign().

## UpnpFileInfo_get_LastModified()

time_t UpnpFileInfo_get_LastModified | ( | const UpnpFileInfo * | p | ) |

UpnpFileInfo_get_LastModified

Referenced by get_file_info(), process_request(), and UpnpFileInfo_assign().

## UpnpFileInfo_get_Os()

const UpnpString * UpnpFileInfo_get_Os | ( | const UpnpFileInfo * | p | ) |

UpnpFileInfo_get_Os

Referenced by UpnpFileInfo_assign(), UpnpFileInfo_get_Os_cstr(), and UpnpFileInfo_get_Os_Length().

## UpnpFileInfo_get_Os_cstr()

const char * UpnpFileInfo_get_Os_cstr | ( | const UpnpFileInfo * | p | ) |

UpnpFileInfo_get_Os_cstr

References UpnpFileInfo_get_Os(), and UpnpString_get_String().

## UpnpFileInfo_get_Os_Length()

size_t UpnpFileInfo_get_Os_Length | ( | const UpnpFileInfo * | p | ) |

UpnpFileInfo_get_Os_Length

References UpnpFileInfo_get_Os(), and UpnpString_get_Length().

## UpnpFileInfo_new()

UpnpFileInfo * UpnpFileInfo_new | ( | void |  | ) |

Constructor

References UpnpString_new().

Referenced by process_request(), and UpnpFileInfo_dup().

## UpnpFileInfo_set_ContentType()

int UpnpFileInfo_set_ContentType | ( | UpnpFileInfo * | p,
|  | const DOMString | s )

UpnpFileInfo_set_ContentType

References DOMString, ixmlCloneDOMString(), and ixmlFreeDOMString().

Referenced by get_content_type(), get_file_info(), process_request(), and UpnpFileInfo_assign().

## UpnpFileInfo_set_CtrlPtIPAddr()

int UpnpFileInfo_set_CtrlPtIPAddr | ( | UpnpFileInfo * | p,
|  | const struct sockaddr_storage * | buf )

UpnpFileInfo_get_CtrlPtIPAddr

Referenced by process_request(), and UpnpFileInfo_assign().

## UpnpFileInfo_set_ExtraHeadersList()

int UpnpFileInfo_set_ExtraHeadersList | ( | UpnpFileInfo * | p,
|  | const UpnpListHead * | q )

UpnpFileInfo_set_ExtraHeadersList

Referenced by UpnpFileInfo_assign().

## UpnpFileInfo_set_FileLength()

int UpnpFileInfo_set_FileLength | ( | UpnpFileInfo * | p,
|  | off_t | n )

UpnpFileInfo_set_FileLength

Referenced by get_alias(), get_file_info(), and UpnpFileInfo_assign().

## UpnpFileInfo_set_IsDirectory()

int UpnpFileInfo_set_IsDirectory | ( | UpnpFileInfo * | p,
|  | int | n )

UpnpFileInfo_set_IsDirectory

Referenced by get_alias(), get_file_info(), and UpnpFileInfo_assign().

## UpnpFileInfo_set_IsReadable()

int UpnpFileInfo_set_IsReadable | ( | UpnpFileInfo * | p,
|  | int | n )

UpnpFileInfo_set_IsReadable

Referenced by get_alias(), get_file_info(), and UpnpFileInfo_assign().

## UpnpFileInfo_set_LastModified()

int UpnpFileInfo_set_LastModified | ( | UpnpFileInfo * | p,
|  | time_t | n )

UpnpFileInfo_set_LastModified

Referenced by get_alias(), get_file_info(), and UpnpFileInfo_assign().

## UpnpFileInfo_set_Os()

int UpnpFileInfo_set_Os | ( | UpnpFileInfo * | p,
|  | const UpnpString * | s )

UpnpFileInfo_set_Os

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpFileInfo_assign().

## UpnpFileInfo_strcpy_Os()

int UpnpFileInfo_strcpy_Os | ( | UpnpFileInfo * | p,
|  | const char * | s )

UpnpFileInfo_strcpy_Os

References UpnpString_set_String().

## UpnpFileInfo_strncpy_Os()

int UpnpFileInfo_strncpy_Os | ( | UpnpFileInfo * | p,
|  | const char * | s,
|  | size_t | n )

UpnpFileInfo_strncpy_Os

References UpnpString_set_StringN().

Referenced by process_request().